Skip to main content
PATCH
/
v2
/
evses
/
{uid}
/
connectors
/
{connectorId}
Updates a connector on an EVSE.
curl --request PATCH \
  --url https://api.spirii.com/v2/evses/{uid}/connectors/{connectorId} \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "standard": "CHADEMO",
  "format": "SOCKET",
  "maxElectricPower": 22,
  "maxAmperage": 32,
  "maxVoltage": 400
}
'
{
  "uid": 123456,
  "evseId": "DK.12343*1",
  "chargeboxId": 123,
  "status": "CHARGING",
  "connectors": [
    {
      "id": 1,
      "standard": "CHADEMO",
      "format": "SOCKET",
      "powerType": "DC",
      "maxElectricPower": 22,
      "maxAmperage": 32,
      "maxVoltage": 400,
      "tariffIds": [
        "58652fe8-d840-4aa4-bb4f-3ebd944df9d6"
      ],
      "error": {
        "errorCode": "UnderVoltage",
        "info": "NO_VOLTAGE_L2_L3",
        "vendorErrorCode": "134217728"
      },
      "deletedAt": "2025-01-27 09:38:41"
    }
  ]
}

Authorizations

Authorization
string
header
required

Authorization: Bearer <SPIRII_API_KEY>

Path Parameters

uid
number
required

Uniquely identifies the EVSE

Example:

123456

connectorId
number
required

Identifier of the Connector within the EVSE

Example:

1

Body

application/json
standard
enum<string>

The standard of the installed connector.

Available options:
CHADEMO,
IEC_62196_T2_COMBO,
IEC_62196_T2,
GBT_AC,
GBT_DC,
IEC_62196_T1_COMBO,
IEC_62196_T1
Example:

"CHADEMO"

format
enum<string>

The format (socket/cable) of the installed connector.

Available options:
SOCKET,
CABLE
Example:

"SOCKET"

maxElectricPower
number

Maximum electric power output (kW).

Example:

22

maxAmperage
number

Maximum amperage (current) output (A).

Example:

32

maxVoltage
number

Maximum voltage output (V).

Example:

400

Response

uid
number
required

Uniquely identifies the EVSE

Example:

123456

evseId
string
required

Compliant with the following specification for EVSE ID: "E-mobility ID-codes: the purpose of IDs, ID usage and ID format"

Example:

"DK.12343*1"

chargeboxId
number
required

Uniquely identifies the charge box on which the EVSE is found

Example:

123

status
enum<string>
required

Indicates the current status of the EVSE.

The mapping of the OCPP status to the OCPI status, which is used in this endpoint, is visible in the table below:

[OCPP status] - [OCPI status]

Available - AVAILABLE

Reserved - RESERVED

Preparing,Charging,Finishing - CHARGING

SuspendedEV,SuspendedEVSE - BLOCKED

Faulted - OUTOFORDER

Unavailable - INOPERATIVE

N/A - PLANNED

N/A - REMOVED

N/A - UNKNOWN

Available options:
AVAILABLE,
BLOCKED,
CHARGING,
INOPERATIVE,
OUTOFORDER,
PLANNED,
REMOVED,
RESERVED,
UNKNOWN
Example:

"CHARGING"

connectors
object[]
required

List of available connectors